org.eclipse.net4j.util.concurrent

## Class SynchronousWorkSerializer

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.SynchronousWorkSerializer

- All Implemented Interfaces:
    IWorkSerializer

      public class SynchronousWorkSerializer
      extends Object
      implements IWorkSerializer

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynchronousWorkSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addWork(Runnable work)`
    `void` | `dispose()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronousWorkSerializer

          public SynchronousWorkSerializer()

  - ### Method Detail

    - #### addWork

          public boolean addWork(Runnable work)

      Specified by:
        `addWork` in interface `IWorkSerializer`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `IWorkSerializer`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html